Package bitel.billing.server.admin.bean

# Class ContractParameterGroupManager

java.lang.Object
bitel.billing.server.admin.bean.ContractParameterGroupManager

@Deprecated public class ContractParameterGroupManager extends Object
Deprecated.
use `ContractParameterService` or `ContractParameterGroupDao`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  Deprecated.
  `protected DefaultServerSetup`
  `setup`
  Deprecated.
  `static final String`
  `TABLE_CONTRACT_PARAMETER_GROUP`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractParameterGroupManager(Connection connection)`
  Deprecated.
  `ContractParameterGroupManager(Connection connection, DefaultServerSetup setup)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParameterInGroup(int groupId, List<Integer> pids)`
  Deprecated.
  Добавление в группу параметров из списка
  `void`
  `deleteAllParameterInGroup(int groupId)`
  Deprecated.
  Удаление привязки всех параметров входящих в группу
  `Set<Integer>`
  `getParameterSetInGroup(int groupId)`
  Deprecated.
  Возвращает коды параметров входящих в группу

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_CONTRACT_PARAMETER_GROUP

    public static final String TABLE_CONTRACT_PARAMETER_GROUP
    Deprecated.
    See Also:
      - Constant Field Values

  - ### con

    protected Connection con
    Deprecated.

  - ### setup

    protected DefaultServerSetup setup
    Deprecated.

- ## Constructor Details

  - ### ContractParameterGroupManager

    public ContractParameterGroupManager(Connection connection)
    Deprecated.

  - ### ContractParameterGroupManager

    public ContractParameterGroupManager(Connection connection, DefaultServerSetup setup)
    Deprecated.

- ## Method Details

  - ### deleteAllParameterInGroup

    public void deleteAllParameterInGroup(int groupId)
    Deprecated.
    Удаление привязки всех параметров входящих в группу
    Parameters:
      `groupId` - код группы параметров

  - ### addParameterInGroup

    public void addParameterInGroup(int groupId, List<Integer> pids)
    Deprecated.
    Добавление в группу параметров из списка
    Parameters:
      `groupId` - код группы параметров
      `pids` - список кодов параметров

  - ### getParameterSetInGroup

    public Set<Integer> getParameterSetInGroup(int groupId) throws ru.bitel.bgbilling.common.BGException
    Deprecated.
    Возвращает коды параметров входящих в группу
    Parameters:
      `groupId` - код группы параметров
    Returns:
      коды параметров или пустой набор
    Throws:
      `ru.bitel.bgbilling.common.BGException`